import os
import random
from os.path import *
import glob

random.seed(5)


def copy(src, dst):
    split = random.choice(['split-0', 'split-1', 'split-2', 'split-3', 'split-4'])
    os.system(f'cp {src} {dst}/{split}')
    # pass


if __name__ == '__main__':

    curation_files = set(glob.glob('../static/data/week*_curation/*/*'))
    curated_ids = {x.split('/')[-1] for x in curation_files}

    all_files = set(glob.glob('../static/data/week*/*/*'))
    non_curation_files = all_files.difference(curation_files)

    for x in curation_files:
        copy(x, 'data/splits/')
    print('-')

    print('Curated', len(curation_files))
    doc_ids = {x.split('/')[-1] for x in non_curation_files}
    doc_ids = doc_ids.difference(curated_ids)

    print('Non curated', len(doc_ids))

    for doc_id in doc_ids:
        supported = [x for x in non_curation_files if doc_id in x]

        # print(supported)
        selected = random.choice(supported)
        copy(selected, 'data/splits/')

    # print(len(curation_files))
    # print(len(non_curation_files))
